SignatureUpdateProcessorFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.SignatureUpdateProcessorFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Class SignatureUpdateProcessorFactory

    java.lang.Object
      org.apache.solr.update.processor.UpdateRequestProcessorFactory
          org.apache.solr.update.processor.SignatureUpdateProcessorFactory

All Implemented Interfaces:
  NamedListInitializedPlugin

    public class SignatureUpdateProcessorFactory

extends UpdateRequestProcessorFactory

Constructor Summary
`SignatureUpdateProcessorFactory()`

Method Summary
`UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
`boolean` | `getOverwriteDupes()`
`List<String>` | `getSigFields()`
`String` | `getSignatureClass()`
`String` | `getSignatureField()`
`void` | `init(NamedList args)`
`boolean` | `isEnabled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureUpdateProcessorFactory

    public SignatureUpdateProcessorFactory()

Method Detail

### init

    public void init(NamedList args)

  Specified by:
    `init` in interface `NamedListInitializedPlugin`
  Overrides:
    `init` in class `UpdateRequestProcessorFactory`

### getSigFields

    public List<String> getSigFields()

### getSignatureField

    public String getSignatureField()

### isEnabled

    public boolean isEnabled()

### getSignatureClass

    public String getSignatureClass()

### getOverwriteDupes

    public boolean getOverwriteDupes()

### getInstance

    public UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                              SolrQueryResponse rsp,
                                              UpdateRequestProcessor next)

  Specified by:
    `getInstance` in class `UpdateRequestProcessorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD